
From: Alexey Dobriyan <adobriyan@gmail.com>

csum_and_copy_to_user is static inline and uses VERIFY_WRITE.  Patch allows
to remove asm/uaccess.h from i386_ksyms.c without dependency surprises.

Signed-off-by: Alexey Dobriyan <adobriyan@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-i386/checksum.h |    2 ++
 1 files changed, 2 insertions(+)

diff -puN include/asm-i386/checksum.h~x86-include-asm-uaccessh-in-asm-checksumh include/asm-i386/checksum.h
--- 25/include/asm-i386/checksum.h~x86-include-asm-uaccessh-in-asm-checksumh	2005-05-25 00:31:47.000000000 -0700
+++ 25-akpm/include/asm-i386/checksum.h	2005-05-25 00:31:47.000000000 -0700
@@ -3,6 +3,8 @@
 
 #include <linux/in6.h>
 
+#include <asm/uaccess.h>
+
 /*
  * computes the checksum of a memory block at buff, length len,
  * and adds in "sum" (32-bit)
_
